Summary: A program which enables anonymous FTP access.
Name: anonftp
Version: 2.8
Release: 11tr
License: GPL
Group: Trustix Official
Prefix: /home/ftp
BuildRoot: /var/tmp/%{name}-root
AutoReq: 0
Requires: ftpserver

%description
The anonftp package contains the files you need in order to
allow anonymous FTP access to your machine. Anonymous FTP access allows
anyone to download files from your machine without having a user account. 
Anonymous FTP is a popular way of making programs available via the
Internet.

You should install anonftp if you would like to enable anonymous FTP
downloads from your machine.

%prep
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/home/ftp
mkdir -p $RPM_BUILD_ROOT/home/ftp/pub
mkdir -p $RPM_BUILD_ROOT/home/ftp/etc
mkdir -p $RPM_BUILD_ROOT/home/ftp/bin
mkdir -p $RPM_BUILD_ROOT/home/ftp/lib

cat > $RPM_BUILD_ROOT/home/ftp/etc/passwd <<EOF
root:*:0:0:::
bin:*:1:1:::
operator:*:11:0:::
ftp:*:14:50:::
nobody:*:99:99:::
EOF

cat > $RPM_BUILD_ROOT/home/ftp/etc/group <<EOF
root::0:
bin::1:
daemon::2:
sys::3:
adm::4:
ftp::50:
EOF

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)

%attr(0444,root,root) %config /home/ftp/etc/passwd
%attr(0444,root,root) %config /home/ftp/etc/group

%attr(0755,root,root) %dir /home/ftp
%attr(0111,root,root) %dir /home/ftp/bin
%attr(0111,root,root) %dir /home/ftp/etc
%attr(2755,root,root) %dir /home/ftp/pub
%attr(0111,root,root) %dir /home/ftp/lib

%changelog
* Tue Mar 15 2005 Bipin S <bipin at comodo dot com> 2.8-10tr
- Rebuilt

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.8-6tr
- Big rebuild

* Mon Apr 28 2003 Erlend Midttun <erlendbm at trustix dot com> 2.8-5em
- Removed the binaries as they are not needed.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.8-4em
- Rebuilt against glibc 2.3.2.

* Thu Aug 29 2002 Christian H. Toldnes <christht at trustix dot com> 2.8-3ct
- Rebuilt against glibc 2.2.5

* Tue Jul 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- Inc serial number before release.

* Tue Mar 21 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated versions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)
- glibc version 2.1.1

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- add sparc

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- fix defattr typo (#784)
- newer libc

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- abuse the %attr settings instead of massive chown
- avoid cp-av because it breaks on symlinks (the wonders of lchown/chown
- rebuild for glibc 2.1

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- newer libc

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- updated for the newer glibc libs

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>
- Built with glibc for the first time
- moved BuildRoot to /var/tmp
- mega-reworking of the spec file

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Requires ftpserver virtual package now (which wu-ftpd provides).

